Project

General

Profile

Required packages for building/running on various platforms

This page will serve as a dumping ground for notes related to building and/or running artdaq (Usually artdaq-demo) on various supported platforms.

Scientific Linux 7.1 Fermilab Edition

Building artdaq-v1_12_13 bundle

The following packages must be installed on a clean system to build the artdaq bundle:
  • ruby
  • git
  • gcc
  • gcc-c++
  • libgcc.i686
  • glibc-devel
  • glibc-devel.i686
  • zlib-devel
  • openssl-devel
  • curl-devel
  • expat-devel
  • perl-ExtUtils-MakeMaker
  • asciidoc
  • xmlto
  • bzip2-devel
  • readline-devel
  • tk-devel
  • texinfo
  • autoconf
  • libXpm-devel
  • libXext-devel
  • mesa-libGL-devel
  • mesa-libGLU-devel
  • kernel-devel

Ubuntu 14.04 LTS

Running artdaq-demo v2_05_00

The following packages must be installed on a clean system to run the artdaq-demo in its default configuration:
  • lsb-release
  • ruby
  • git
  • openjdk-7-jre

Building artdaq-v1_12_13 bundle

The following packages must be installed on a clean system to build the artdaq bundle:
  • git
  • lsb-release
  • lsb-core
  • ruby
  • libc6-dev-i386
  • zlib1g-dev
  • libcurl4-openssl-dev
  • openjdk-7-jre